<?php

/**
 * TipoIdentificacion form base class.
 *
 * @package    form
 * @subpackage tipo_identificacion
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseTipoIdentificacionForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_tipo_identificacion' => new sfWidgetFormInputHidden(),
      'descripcion'            => new sfWidgetFormInput(),
      'abreviatura'            => new sfWidgetFormInput(),
      'id_tip_ter'             => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id_tipo_identificacion' => new sfValidatorPropelChoice(array('model' => 'TipoIdentificacion', 'column' => 'id_tipo_identificacion', 'required' => false)),
      'descripcion'            => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'abreviatura'            => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'id_tip_ter'             => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('tipo_identificacion[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'TipoIdentificacion';
  }


}
